/*
 * This file is part of Mable+, a program for checking MAB data for errors.
 *
 * Copyright (C) 2008, 2011-2012 Kooperativer Bibliotheksverbund
 * Berlin-Brandenburg (KOBV) <http://www.kobv.de>,
 * im Konrad-Zuse-Zentrum für Informationstechnik
 * Berlin (ZIB) <http://www.zib.de>, Takustr. 7, D-14195 Berlin-Dahlem
 * Author(s) Jens Schwidder, <schwidder(at)zib.de>,
 *           Pascal-Nicolas Becker, <becker(at)zib.de>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package de.kobv.mable.cli;

import gov.ornl.sns.cli.CommandLineHelper;

/**
 * Main class for MABle command line tool.
 *
 * @author Jens Schwidder <schwidder(at)zib.de>
 */
public class Mable {

    /**
     * Name of Spring configuration file for MABle CLI application.
     */
    private static final String CONFIG_FILE = "de/kobv/mable/cli/spring-mable-cli.xml";

    public CommandLineHelper getCommandLineHelper() {
        return new CommandLineHelper(CONFIG_FILE);
    }

    /**
     * Main method for MABle tool.
     *
     * @param args Command line parameters
     */
    public static void main(final String[] args) {
        CommandLineHelper helper = new Mable().getCommandLineHelper();
        helper.run(args);
        System.exit(0);
    }

}
