/*
 * This file is part of Mable+, a program for checking MAB data for errors.
 *
 * Copyright (C) 2008, 2011-2012 Kooperativer Bibliotheksverbund
 * Berlin-Brandenburg (KOBV) <http://www.kobv.de>,
 * im Konrad-Zuse-Zentrum für Informationstechnik
 * Berlin (ZIB) <http://www.zib.de>, Takustr. 7, D-14195 Berlin-Dahlem
 * Author(s) Jens Schwidder, <schwidder(at)zib.de>,
 *           Pascal-Nicolas Becker, <becker(at)zib.de>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package de.kobv.mable.report.util;

import de.kobv.mable.ErrorCode;
import java.util.Comparator;

/**
 *
 * @author Jens Schwidder <schwidder(at)zib.de>
 */
public class FieldErrorComparator implements Comparator<Object[]> {

    private static final int INDEX_FIELD_ID = 0;

    private static final int INDEX_ERROR_COUNT = 1;

    private static final int INDEX_ERROR_CODE = 2;

    @Override
    public int compare(Object[] error1, Object[] error2) {
        Integer count1 = ( Integer )error1[INDEX_ERROR_COUNT];
        Integer count2 = ( Integer ) error2[INDEX_ERROR_COUNT];
        int result = count2.compareTo(count1);

        if (result != 0) return result;

        Integer code1 = new Integer((( ErrorCode )error1[INDEX_ERROR_CODE]).getCode());
        Integer code2 = new Integer((( ErrorCode )error2[INDEX_ERROR_CODE]).getCode());

        return code2.compareTo(code1);
    }

}
